Subject: bug#51130: 29.0.50; shell completion fails to complete filenames

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 14 Sep 2022 17:20:15 +0200

Stefan Monnier <[email-masked]> writes:

> I wish someone could take the time to try and understand what
> `shell-filename-completion` and `comint-filename-completion` do there
> really (I mean, I understand what they're supposed to do, but I don't
> understand why they're both there), how they compare to what
> `pcomplete-default-completion-function` does by default (which should be
> very similar), and then fix bug#51130 The Right Way.

It would indeed be nice if somebody did that.  *whistles*